### Enumeration

# Fwupd RemoteKind

#### Declaration

    enum Fwupd.RemoteKind

#### Description [src]

The kind of remote.

#### Members

Name | Description
--- | ---
`FWUPD_REMOTE_KIND_UNKNOWN` | Unknown kind.
`FWUPD_REMOTE_KIND_DOWNLOAD` | Requires files to be downloaded.
`FWUPD_REMOTE_KIND_LOCAL` | Reads files from the local machine.
`FWUPD_REMOTE_KIND_DIRECTORY` | Reads directory from the local machine.